GoDoxy

Verify a new agent

POST
/agent/verify

Verify a new agent and return the number of routes added

Request Body

Request

application/json
  1. body
add_to_config?boolean|null
ca?
client?
container_runtime?agent.ContainerRuntime
Value in"docker""podman"
host?string

Response Body

OK

application/json
  1. response
activation?
agents?array<>
message?string
Example Request
curl -X POST 'https://example.com/api/v1/agent/verify' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "activation": {    "active_routes": 0,    "attempted_routes": 0,    "desired_routes": 0,    "event_loop_ready": true,    "failed_routes": [      {        "error": null,        "route": "string"      }    ],    "infrastructure_error": null,    "provider": "string"  },  "agents": [    {      "addr": "string",      "name": "string",      "runtime": "docker",      "supports_tcp_stream": true,      "supports_udp_stream": true,      "version": "string"    }  ],  "message": "string"}